> For the complete documentation index, see [llms.txt](https://docs.kiiglobal.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiiglobal.io/docs/build-on-kiichain/developer-tools/testnet-faucet.md).

# Testnet faucet

Join the testnet, set up your wallet, and request KII tokens.

### About the Faucet

Testnet participation is a great way to signal to the community that you are ready and able to operate a validator.

Important to create your web wallet first and then link to the explorer app.

* [Testnet explorer app](https://explorer.kiichain.io/faucet)

Testnet KII can be found in the faucet in Discord and on our Explorer App. It can be called on every 24 hours.

* [Discord Kiichain Invitation](https://discord.com/invite/kiichain)

### Discord Faucet Commands

Request tokens:

```
$request {address}
```

Example EVM:

```
$request 0x12345abcde…
```

Example CW:

```
$request kii12345abcde…
```

### List of Commands:

See all available commands:

```
$help
```

Request tokens:

```
$request [kii address]
```

Query an address balance:

```
$balance [kii address]
```

Query a transaction:

```
$tx_info [transaction hash ID]
```

Query the faucet and node status:

```
$faucet_status [chain ID]
```

Query the faucet address:

```
$faucet_address [chain ID]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kiiglobal.io/docs/build-on-kiichain/developer-tools/testnet-faucet.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
